<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class NotePagination implements \Bushelpowered\Api\Common\PaginationBase
{
    /** @var \Bushelpowered\Api\Crm\V1\Request\NoteSortPlan[]|null $sortPlan */
    public ?array $sortPlan = null;
    public ?string $token = null;
    public ?int $pageSize = null;

    /**
     * @param  \Bushelpowered\Api\Crm\V1\Request\NoteSortPlan[]|null  $sortPlan 
     */
    public function __construct(?array $sortPlan, ?string $token, ?int $pageSize)
    {
        $this->sortPlan = $sortPlan;
        $this->token = $token;
        $this->pageSize = $pageSize;
    }
    
    public function getToken(): ?string
    {
        return $this->token;
    }
    public function getPageSize(): ?int
    {
        return $this->pageSize;
    }
}