<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetAllAccountsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    public ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  string[]|null  $integrationIds 
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $integrationIds, ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->integrationIds = $integrationIds;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination
    {
        return $this->pagination;
    }
}