<?php

namespace Bushelpowered\Api\Accountpayablebalance\Event;

class AccountPayableBalanceRawVersions
{
    public string $type;
    public $data;
    private \JsonMapper $mapper;

    private static $types = [
        'version1' => '\Bushelpowered\Api\Accountpayablebalance\V1\Model\AccountPayableBalanceRaw',
    ];

    private function __construct($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function Version1(\Bushelpowered\Api\Accountpayablebalance\V1\Model\AccountPayableBalanceRaw $data): AccountPayableBalanceRawVersions
    {
        return new AccountPayableBalanceRawVersions('version1', $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    