<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class DemographicResponse 
{
    public string $id;
    public ?float $totalProduction = null;
    public string $totalProductionUoM;
    public ?float $onFarmStorageCapacity = null;
    public ?string $onFarmStorageCapacityUoM = null;
    public string $deliveryDestinations;
    public string $invoiceLocations;
    public ?string $additionalDestinationLocations = null;
    public ?string $comments = null;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\CommodityResponse[] $commodities */
    public array $commodities;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\CommodityResponse[]  $commodities 
     */
    public function __construct(string $id, ?float $totalProduction, string $totalProductionUoM, ?float $onFarmStorageCapacity, ?string $onFarmStorageCapacityUoM, string $deliveryDestinations, string $invoiceLocations, ?string $additionalDestinationLocations, ?string $comments, array $commodities)
    {
        $this->id = $id;
        $this->totalProduction = $totalProduction;
        $this->totalProductionUoM = $totalProductionUoM;
        $this->onFarmStorageCapacity = $onFarmStorageCapacity;
        $this->onFarmStorageCapacityUoM = $onFarmStorageCapacityUoM;
        $this->deliveryDestinations = $deliveryDestinations;
        $this->invoiceLocations = $invoiceLocations;
        $this->additionalDestinationLocations = $additionalDestinationLocations;
        $this->comments = $comments;
        $this->commodities = $commodities;
    }
    

}