<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class RoleRef implements \Bushelpowered\Api\Iam\Access\Common\V1\HasOptionalTenantId
{
    public string $roleId;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(string $roleId, ?string $tenantId)
    {
        $this->roleId = $roleId;
        $this->tenantId = $tenantId;
    }
    
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}